/*
 * (C) Copyright 2011- ECMWF.
 *
 * This software is licensed under the terms of the Apache Licence Version 2.0
 * which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
 * In applying this licence, ECMWF does not waive the privileges and immunities
 * granted to it by virtue of its status as an intergovernmental organisation nor
 * does it submit to any jurisdiction.
 */

#ifndef libemos_ecbuild_config_h
#define libemos_ecbuild_config_h

/* ecbuild info */

#ifndef ECBUILD_VERSION_STR
#define ECBUILD_VERSION_STR "2.9.4"
#endif
#ifndef ECBUILD_MACROS_DIR
#define ECBUILD_MACROS_DIR  "/construction/misc/libemos/libemos-4.5.9-Source/cmake"
#endif

/* config info */

#define LIBEMOS_OS_NAME          "DragonFly-6.5"
#define LIBEMOS_OS_BITS          64
#define LIBEMOS_OS_BITS_STR      "64"
#define LIBEMOS_OS_STR           "dragonfly.64"
#define LIBEMOS_OS_VERSION       "6.5"
#define LIBEMOS_SYS_PROCESSOR    "x86_64"

#define LIBEMOS_BUILD_TIMESTAMP  "20250313102128"
#define LIBEMOS_BUILD_TYPE       "Release"

#define LIBEMOS_C_COMPILER_ID      "GNU"
#define LIBEMOS_C_COMPILER_VERSION "8.3.0"

#define LIBEMOS_CXX_COMPILER_ID      "GNU"
#define LIBEMOS_CXX_COMPILER_VERSION "8.3.0"

#define LIBEMOS_C_COMPILER       "/usr/bin/cc"
#define LIBEMOS_C_FLAGS          "-pipe -O2 -isystem /usr/local/include -fno-strict-aliasing -pipe -O3 -DNDEBUG"

#define LIBEMOS_CXX_COMPILER     "/usr/bin/c++"
#define LIBEMOS_CXX_FLAGS        " -pipe -O2 -isystem /usr/local/include -fno-strict-aliasing -isystem /usr/local/include -pipe -O3 -DNDEBUG"

/* Needed for finding per package config files */

#define LIBEMOS_INSTALL_DIR       "/usr/local"
#define LIBEMOS_INSTALL_BIN_DIR   "/usr/local/bin"
#define LIBEMOS_INSTALL_LIB_DIR   "/usr/local/lib"
#define LIBEMOS_INSTALL_DATA_DIR  "/usr/local/share/libemos"

#define LIBEMOS_DEVELOPER_SRC_DIR "/construction/misc/libemos/libemos-4.5.9-Source"
#define LIBEMOS_DEVELOPER_BIN_DIR "/construction/misc/libemos/.build"

#define EC_HAVE_FORTRAN

#ifdef EC_HAVE_FORTRAN

#define LIBEMOS_Fortran_COMPILER_ID      "GNU"
#define LIBEMOS_Fortran_COMPILER_VERSION "13.2.0"

#define LIBEMOS_Fortran_COMPILER "/usr/local/bin/gfortran13"
#define LIBEMOS_Fortran_FLAGS    "-O -std=legacy -Wl,-rpath=/usr/local/lib/gcc13 -ffixed-line-length-none -fcray-pointer -fno-second-underscore -Wuninitialized -Wunused-variable -DSHAREDMEMORY -O3 -DNDEBUG -funroll-all-loops -finline-functions -O2 -mtune=native"

#endif

/* #undef BOOST_UNIT_TEST_FRAMEWORK_HEADER_ONLY */
/* #undef BOOST_UNIT_TEST_FRAMEWORK_LINKED */

#endif /* libemos_ecbuild_config_h */
